'Excel.vbs

'Get Current Folder
Set ofilesys = CreateObject("Scripting.FileSystemObject") 
Set oscript = ofilesys.GetFile(WScript.ScriptName)
Set ofolder = ofilesys.GetFolder(oscript.ParentFolder)
currentpath = ofolder.path + "\"

'Create Excel File
Set oexcel = CreateObject("Excel.Application")
oexcel.Visible = False
Set oworkbook = oexcel.Workbooks.Add()

'Add Formatting and Text
oexcel.Cells(1, 1).Value = "Text"
oexcel.Cells(1, 1).Interior.Color = 65535

'Excel Constants
xlNone = -4142
xlContinuous = 1
xlThick = 4
xlThin = 2

'Select Range and Add Borders
Set orange = oexcel.Range("B3:C5")
orange.Borders.LineStyle = xlContinuous
orange.Borders.Weight = xlThin

'Loop Through Cells
For i = 0 To 2
	For j = 0 To 1
		oexcel.Cells(3,2).Offset(i,j) = i*j
	Next
Next

'Save and Close Excel File
oworkbook.SaveAs(currentpath & "Test.xlsx")
oexcel.Quit
