'RunSASProgram.vbs

server = "\\nasvs1\Shared\4700Mac\shared2\Actuarial\SAS\"
projname = server & "Testing.egp"
codefiles = Array("LIBNAMES", "WORK")

val = InputBox("Enter Value", , "1")
If val = "" Then WScript.Quit

Set oapp = CreateObject("SASEGObjectModel.Application.4.3")
Set oproj = oapp.Open(projname,"")
Set oparameters = oproj.Parameters
For Each oparameter In oparameters
	If oparameter.Name = "VALUE" Then oparameter.Value = val
Next
Set ocodecollect = oproj.CodeCollection
For Each code In codefiles
	For Each ocode In ocodecollect
		If ocode.Name = code Then 
			ocode.UseApplicationOptions = False 
			ocode.GenListing = True 
			ocode.GenSasReport = False 
			ocode.Log.SaveAs server & "Results\" & ocode.Name & ".log" 
			ocode.Run
			ocode.SaveAs server & "Results\" & ocode.Name & ".sas"
			msgbox ocode.Name & ", OutputDatasets: " & ocode.OutputDatasets.Count
			msgbox ocode.Name & ", Results: " & ocode.Results.Count
			For n=0 to (ocode.OutputDatasets.Count -1)
				dataName = ocode.OutputDatasets.Item(n).Name 
				ocode.OutputDatasets.Item(n).SaveAs server & "Results\" & dataName & ".xls" 
			Next 
			For n=0 to (ocode.Results.Count -1) 
				ocode.Results.Item(n).SaveAs server & "Results\" & WScript.ScriptName & n & ".lst"
			Next 
		End If
	Next
Next
oproj.Save
oproj.Close
oapp.Quit

MsgBox "Program Completed"