'RunSASBatch.vbs

'Create an object and instance of SAS.
Set oapp = CreateObject("SASEGObjectModel.Application.4.3") 
oapp.SetActiveProfile("Chris")
Set oproj = oapp.New 
Set osasprog = oproj.CodeCollection.Add 
osasprog.UseApplicationOptions = False 
osasprog.GenListing = True 
osasprog.GenSasReport = False 
osasprog.Server = "SASApp" 

'Set the code to run.
osasprog.Text = "DATA testme; SET SASHELP.CLASS; RUN;" 
osasprog.Text = osasprog.Text & " PROC MEANS DATA=testme; RUN;" 
osasprog.Run 

' Save the log file
osasprog.Log.SaveAs "\\nasvs1\Shared\4700Mac\shared2\Actuarial\" & WScript.ScriptName & ".log" 

'Save the output and results
For n=0 to (osasprog.OutputDatasets.Count -1)
	dataName = osasprog.OutputDatasets.Item(n).Name 
	osasprog.OutputDatasets.Item(n).SaveAs "\\nasvs1\Shared\4700Mac\shared2\Actuarial\" & dataName & ".xls" 
Next 

For n=0 to (osasprog.Results.Count -1) 
	osasprog.Results.Item(n).SaveAs "\\nasvs1\Shared\4700Mac\shared2\Actuarial\" & WScript.ScriptName & ".lst"
Next 

Application.Quit 

'script RunSASBatch.vbs